AT-NFC 2.1 (win) AT-NFC kernel set

Typedefs | Functions
HAL NFC UI API

HAL NFC UI Interface. More...

## Typedefs
typedef KER_INT16U(CLB_API * | T_NFC_CALLBACK_UI_SCHEDULE_CHANGE_REQUEST) (T_NFC_CLB_CTX_PARAM KER_INT32U ulDelayTime, const NFC_OUTCOME_UI *pUI)
| Schedule async change User Interface request. More...
typedef KER_BOOL(CLB_API * | T_NFC_CALLBACK_UI_CANCEL_CHANGE_REQUEST) (T_NFC_CLB_CTX_PARAM KER_INT16U usRequestID)
| Cancel prev. scheduled async change User Interface request. More...
typedef KER_INT16U(KER_API * | T_NFC_USER_CALLBACK_UI_SCHEDULE_CHANGE_REQUEST) (KER_VOID *pCallbackHandle, KER_INT32U ulDelayTime, const NFC_OUTCOME_UI *pUI)
| Schedule async change User Interface request. More...
typedef KER_BOOL(KER_API * | T_NFC_USER_CALLBACK_UI_CANCEL_CHANGE_REQUEST) (KER_VOID *pCallbackHandle, KER_INT16U usRequestID)
| Cancel prev. scheduled async change User Interface request. More...

## Functions
KER_BOOL | epPosCancelTransactionCheck (KER_CTX_SINGLE_PARAM)
| Checks for cancel transaction request from outside (polling mode) More...
KER_INT32U | hal_nfc_ui_schedule_change_request (KER_CTX_PARAM KER_INT32U ulDelayTime, const NFC_OUTCOME_UI *pUI)
| Schedule async change User Interface request. More...
KER_BOOL | hal_nfc_ui_cancel_change_request (KER_CTX_PARAM KER_INT32U ulRequestID)
| Cancel prev. scheduled async change User Interface request. More...

## Detailed Description

HAL NFC UI Interface.

This functions should be implemented by terminal application

## Typedef Documentation

## ◆ T_NFC_CALLBACK_UI_CANCEL_CHANGE_REQUEST

typedef KER_BOOL(CLB_API* T_NFC_CALLBACK_UI_CANCEL_CHANGE_REQUEST) (T_NFC_CLB_CTX_PARAM KER_INT16U usRequestID)

Cancel prev. scheduled async change User Interface request.

Parameters

  [in] | usRequestID | Request to cancel ID, obtained from hal_nfc_ui_schedule_change_request

Returns
  KER_TRUE - Success.
  KER_FALSE - Failure.

This function is used to cancel prev. schediled request to change User Interface

## ◆ T_NFC_CALLBACK_UI_SCHEDULE_CHANGE_REQUEST

typedef KER_INT16U(CLB_API* T_NFC_CALLBACK_UI_SCHEDULE_CHANGE_REQUEST) (T_NFC_CLB_CTX_PARAM KER_INT32U ulDelayTime, const NFC_OUTCOME_UI *pUI)

Schedule async change User Interface request.

Parameters

  [in] | ulDelayTime | Delay for request execution
  [in] | pUI | Pointer to UI data struct

Returns
  0 - failure.
  0 - Scheduled request ID.

This function is used to schedule async request to change User Interface

## ◆ T_NFC_USER_CALLBACK_UI_CANCEL_CHANGE_REQUEST

typedef KER_BOOL(KER_API* T_NFC_USER_CALLBACK_UI_CANCEL_CHANGE_REQUEST) (KER_VOID *pCallbackHandle, KER_INT16U usRequestID)

Cancel prev. scheduled async change User Interface request.

Parameters

  [in] | pCallbackHandle | - callback context, registered with btCallbackType = NUM_T_NFC_USER_CALLBACK_HANDLE
  [in] | usRequestID | Request to cancel ID, obtained from hal_nfc_ui_schedule_change_request

Returns
  KER_TRUE - Success.
  KER_FALSE - Failure.

This function is used to cancel prev. schediled request to change User Interface

## ◆ T_NFC_USER_CALLBACK_UI_SCHEDULE_CHANGE_REQUEST

typedef KER_INT16U(KER_API* T_NFC_USER_CALLBACK_UI_SCHEDULE_CHANGE_REQUEST) (KER_VOID *pCallbackHandle, KER_INT32U ulDelayTime, const NFC_OUTCOME_UI *pUI)

Schedule async change User Interface request.

Parameters

  [in] | pCallbackHandle | - callback context, registered with btCallbackType = NUM_T_NFC_USER_CALLBACK_HANDLE
  [in] | ulDelayTime | Delay for request execution
  [in] | pUI | Pointer to UI data struct

Returns
  0 - failure.
  0 - Scheduled request ID.

This function is used to schedule async request to change User Interface

## Function Documentation

## ◆ epPosCancelTransactionCheck()

KER_BOOL epPosCancelTransactionCheck | ( | KER_CTX_SINGLE_PARAM |  | ) |

Checks for cancel transaction request from outside (polling mode)

Returns
  KER_TRUE Transaction cancellation requested.
  KER_FALSE Continue transaction.

Define this function from outside to terminate card polling loop from outside

## ◆ hal_nfc_ui_cancel_change_request()

KER_BOOL hal_nfc_ui_cancel_change_request | ( | KER_CTX_PARAM KER_INT32U | ulRequestID | ) |

Cancel prev. scheduled async change User Interface request.

Parameters

  [in] | ulRequestID | Request to cancel ID, obtained from hal_nfc_ui_schedule_change_request

Returns
  KER_TRUE - Success.
  KER_FALSE - Failure (invalid request ID or request has been already processed).

This function is used to cancel prev. scheduled request to change User Interface

## ◆ hal_nfc_ui_schedule_change_request()

KER_INT32U hal_nfc_ui_schedule_change_request | ( | KER_CTX_PARAM KER_INT32U | ulDelayTime,
|  | const NFC_OUTCOME_UI * | pUI
| ) |  |

Schedule async change User Interface request.

Parameters

  [in] | ulDelayTime | Delay for request execution (in 100 msec)
  [in] | pUI | Pointer to UI data struct

Returns
  0 - failure.
  0 - Scheduled request ID.

This function is used to schedule async request to change User Interface